---
updatedAt: 2026-09-07T15:49:19.000Z
agentTools:
  projectIndex: https://docs.striga.com/llms.txt
---

# Update Verified Credentials

Only for applications where automatic email verification is turned on, use this endpoint to update a users' email address when the user updates their email on your platform.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "striga-v1",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://www.sandbox.striga.com/api/v1"
    }
  ],
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "paths": {
    "/user/update-verified-credentials": {
      "patch": {
        "description": "",
        "operationId": "get_new-endpoint",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "json": {
                "schema": {
                  "type": "object",
                  "properties": {}
                },
                "examples": {
                  "New Example": {
                    "summary": "New Example",
                    "value": "{\n  \"firstName\": \"Claudia\",\n  \"lastName\": \"Tracy Lind\",\n  \"email\": \"test_1655832993@mailinator.com\",\n  \"documentIssuingCountry\": \"PS\",\n  \"nationality\": \"RS\",\n  \"mobile\": {\n    \"countryCode\": \"+372\",\n    \"number\": \"56316716\"\n  },\n  \"dateOfBirth\": {\n    \"month\": \"1\",\n    \"day\": \"15\",\n    \"year\": \"2000\"\n  },\n  \"address\": {\n    \"addressLine1\": \"Sepapaja 12\",\n    \"addressLine2\": \"Hajumaa\",\n    \"city\": \"Tallinn\",\n    \"state\": \"Tallinn\",\n    \"country\": \"EE\",\n    \"postalCode\": \"11412\"\n  },\n  \"occupation\": \"PRECIOUS_GOODS_JEWELRY\",\n  \"sourceOfFunds\": \"OTHER\",\n  \"purposeOfAccount\": \"OTHER\",\n  \"selfPepDeclaration\": true,\n  \"placeOfBirth\": \"Antoniettamouth\",\n  \"expectedIncomingTxVolumeYearly\": \"MORE_THAN_15000_EUR\",\n  \"expectedOutgoingTxVolumeYearly\": \"MORE_THAN_15000_EUR\",\n  \"KYC\": {\n    \"emailVerified\": false,\n    \"mobileVerified\": false,\n    \"status\": \"NOT_STARTED\"\n  },\n  \"userId\": \"9fd9f525-cb24-4682-8c5a-aa5c2b7e4dde\",\n  \"createdAt\": 1655832993460\n}"
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "in": "header",
            "name": "api-key",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Your Striga API key"
          },
          {
            "in": "header",
            "name": "Authorization",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Your HMAC signature"
          }
        ],
        "x-readme": {
          "code-samples": [
            {
              "code": "curl --location --request PATCH 'https://www.sandbox.striga.com/api/v1/user/update-verified-credentials' \\\n--header 'api-key: <YOUR_API_KEY>' \\\n--header 'Content-Type: application/json' \\\n--data-raw '{\n    \"userId\": \"9fd9f525-cb24-4682-8c5a-aa5c2b7e4dde\",\n    \"email\": \"test+xxx@gmail.com\"\n}'",
              "language": "shell",
              "name": "curl"
            }
          ],
          "samples-languages": [
            "shell"
          ]
        },
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "userId": {
                    "type": "string",
                    "description": "Unique Id of the user whose details are to be fetched"
                  },
                  "email": {
                    "type": "string",
                    "description": "E-mail address of the user"
                  }
                },
                "required": [
                  "userId",
                  "email"
                ]
              }
            }
          }
        },
        "summary": "Update Verified Credentials"
      }
    }
  },
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "api-key",
        "x-default": "Your Striga API key"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-default": "Your HMAC Signature"
      }
    }
  }
}
```